#!/bin/sh

if ! (docker ps >/dev/null 2>&1)
then
	echo "Le daemon docker n'est pas en cours d'exécution, sortie !"
	exit
fi

echo " Ok"
echo "Création de certificats SSL"
openssl req -nodes -newkey rsa:2048 -new -x509 -keyout nginx/ssl/semaphore_ssl.key -out nginx/ssl/semaphore_ssl.cert -config semaphore_ssl.conf

echo "Vous pouvez utiliser vos propres certificats en plaçant la clé privée dans nginx/ssl/semaphore_ssl.key et le certificat dans nginx/ssl/semaphore_ssl.cert."

echo " Ok"
echo "Remplacement de clé encryption"

sed "s/LT8ZJxC53lQ5iN01PxzbMYX68ljJXfkQtqDhH6yZLuU=/$(head -c32 /dev/urandom|base64)/g"-i docker-compose.yaml

echo " Ok"
echo "Vous pouvez lancer la commande : docker compose up -d"